Google Web Toolkit
Search Google Code:

# Class XMLParser

public class XMLParser
extends Object
This class represents the client interface to XML parsing.

## Methods

createDocument() | This method creates a new document, to be manipulated by the DOM API.
parse(String) | This method parses a new document from the supplied string, throwing a `DOMParseException` if the parse fails.
removeWhitespace(Node) | This method removes all `Text` nodes which are made up of only white space.
supportsCDATASection() | This method determines whether the browser supports CDATASection as distinct entities from `Text` nodes.

## Method Detail

### createDocument

public static Document createDocument()
This method creates a new document, to be manipulated by the DOM API.

#### Return Value

the newly created document

### parse

public static Document parse(String contents)
This method parses a new document from the supplied string, throwing a `DOMParseException` if the parse fails.

#### Parameters

contents
  the String to be parsed into a `Document`

#### Return Value

the newly created `Document`

### removeWhitespace

public static void removeWhitespace(Node n)
This method removes all `Text` nodes which are made up of only white space.

#### Parameters

n
  the node which is to have all of its whitespace descendents removed.

### supportsCDATASection

public static boolean supportsCDATASection()
This method determines whether the browser supports CDATASection as distinct entities from `Text` nodes.

#### Return Value

true if the browser supports CDATASection, otherwise `false`.